Get the configured data-residency registry (superadmin)
GET
/v1/system/residency
const url = 'https://example.com/v1/system/residency';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/system/residency \ --header 'Authorization: Bearer <token>'Returns the residency registry this instance is configured with. An unconfigured instance answers with an empty region list, not a null one.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”OK
Media type application/json
object
enforces
required
boolean
home_region
required
string
regions
required
Array<string>
Example generated
{ "enforces": true, "home_region": "example", "regions": [ "example" ]}Bad request
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Unauthenticated
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Forbidden
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Not found
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Conflict / setup required
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Rate limited
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}